# MeshGetGlobalIndices

Gets the global indices for all the local entries

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshGetGlobalIndices(Mesh mesh,PetscInt *idx[])

Collective on Mesh

### Input Parameter

mesh -the mesh object

### Output Parameters

idx -the individual indices for each packed vector/array

### Notes

The idx parameters should be freed by the calling routine with PetscFree()

### See Also

MeshDestroy(), MeshCreateGlobalVector(), MeshCreate()

Level:advanced
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages